vendredi 9 octobre 2009

Comment résoudre : All ebuilds that could satisfy ... have been masked.

Problème

Lors d'un update, vous rencontrez des warnings similaires à celui-ci :

!!! All ebuilds that could satisfy "x11-wm/compiz" have been masked.

!!! One of the following masked packages is required to complete your request:

- x11-wm/compiz-0.8.2-r3 (masked by: ~x86 keyword)


Solution


Il suffit de rajouter le fichier dans le fichier package.keywords.

Vous avez compilez un fichier en mode masked à la main et lors de l'update il trouve un fichier qui
est masqué
et comme il n'est pas de le fichier package.keywords, il ne peut pas trouvé les mise à jour d'ou le warning.


PoweredByGento